<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "seo_category".
 *
 * @property integer $seo_category_id
 * @property string $name
 * @property string $controller
 * @property integer $status
 *
 * @property SeoDynamic[] $seoDynamics
 */
class SeoCategory extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'seo_category';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['status'], 'integer'],
            [['name'], 'string', 'max' => 255],
            [['controller'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'seo_category_id' => Yii::t('app', 'seo_category_id'),
            'name' => Yii::t('app', 'name'),
            'controller' => Yii::t('app', 'controller'),
            'status' => Yii::t('app', 'status'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSeoDynamics()
    {
        return $this->hasMany(SeoDynamic::className(), ['seo_category_id' => 'seo_category_id']);
    }
}
